package jalview.ext.forester.io;

import jalview.datamodel.SequenceI;
import jalview.ext.archaeopteryx.Tree;
import jalview.ext.treeviewer.TreeI;
import jalview.ext.treeviewer.TreeParserI;

import java.io.IOException;

import org.forester.io.parsers.PhylogenyParser;
import org.forester.phylogeny.Phylogeny;

public class ForesterParser implements TreeParserI
{
  private final PhylogenyParser parser;

  private SequenceI[] seqs;

  public ForesterParser(PhylogenyParser foresterParser)
  {
    parser = foresterParser;
  }

  @Override
  public TreeI[] parse() throws IOException
  {
    Phylogeny[] foresterTrees = parser.parse();
    TreeI[] jalviewTrees = new TreeI[foresterTrees.length];

    for (int i = 0; i < foresterTrees.length; i++)
    {
      jalviewTrees[i] = new Tree(foresterTrees[i]);
    }
    return jalviewTrees;

  }

  @Override
  public void setSource(Object source) throws IOException
  {
    parser.setSource(source);

  }

  @Override
  public String getName()
  {
    return parser.getName();
  }
}